package com.simuwang.base.pojo.dto.report;

import com.simuwang.base.pojo.dos.report.ReportNetReportDO;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:53
 * @description 基协报告净值月报
 */
@Setter
@Getter
public class ReportNetReportDTO extends BaseReportDTO<ReportNetReportDO> {
    private String level;
    private Date valuationDate;

    /**
     * 累计净值
     */
    private BigDecimal cumulativeNav;
    /**
     * 基金份额总额
     */
    private BigDecimal endTotalShares;
    /**
     * 基金资产净值
     */
    private BigDecimal fundAssetSize;
    /**
     * 单位净值
     */
    private BigDecimal nav;

    @Override
    public ReportNetReportDO toEntity() {
        ReportNetReportDO entity = new ReportNetReportDO();
        entity.setFileId(this.getFileId());
        entity.setLevel(this.level);
        entity.setValuationDate(this.valuationDate);
        entity.setCumulativeNav(this.cumulativeNav);
        entity.setEndTotalShares(this.endTotalShares);
        entity.setFundAssetSize(this.fundAssetSize);
        entity.setNav(this.nav);
        return entity;
    }
}
